<div class="chat-inner-container" style="height: 100%;">
  <mat-toolbar>
    <div class="toolbar" fxLayout="row" fxLayoutAlign="start center" fxFlexFill>

      <button mat-icon-button (click)="onChatSideTriggered()">
        <mat-icon>menu</mat-icon>
      </button>

      <img class="avatar pointer" *ngIf="activeChat" [src]="activeChat?.avatar || global.USER_DEFAULT_URL">

      <div class="activeChat">
        <h3 class="mat-body-2" *ngIf="activeChat">{{ activeChat?.nick }}</h3>
        <p class="mat-body-1" style="margin: 0" *ngIf="activeChat">{{activeChat?.status}}</p>
      </div>

      <span fxFlex></span>
      <div fxLayout="row" fxLayoutAlign="end">
        <button mat-icon-button [matMenuTriggerFor]="chatMenu">
          <mat-icon>more_vert</mat-icon>
        </button>
      </div>
    </div>
  </mat-toolbar>

  <div class="chat-content" fxLayout="column" fxLayoutAlign="end stretch"
       [style.background-image]="getBackground(global.LOGO_URL)">
    <perfect-scrollbar #scrollChatContent>
      <div class="messages-container" *ngIf="activeChat">
        <div class="chat-message" *ngFor="let message of conversation"
             fxLayout="column" fxLayoutAlign="end start">

          <div class="partner" *ngIf="message.sender == activeChat.uid" fxFlexAlign="start" fxLayout="row"
               fxLayoutAlign="start start">
            <img class="avatar" [src]="activeChat?.avatar || global.USER_DEFAULT_URL">
            <span class="message mat-elevation-z1">
              {{ message.message }}
            </span>
          </div>

          <div class="partner" *ngIf="message.sender == activeChat.uid && message.imageURL"
               fxFlexAlign="start" fxLayout="row" fxLayoutAlign="start start" style="margin-top: 5px;">
            <img class="avatar" [src]="activeChat?.avatar || global.USER_DEFAULT_URL">
            <span class="message mat-elevation-z1">
              <img [src]="message.imageURL" alt="" width="120">
            </span>
          </div>


          <div class="me" *ngIf="message.sender == user.uid" fxFlexAlign="end" fxLayout="row"
               fxLayoutAlign="start end">
            <span class="message mat-elevation-z1">
              {{ message.message }}
            </span>
            <img class="avatar" [src]="user?.avatar || global.USER_DEFAULT_URL">
          </div>
          <div class="me" *ngIf="message.sender == user.uid && message.imageURL" fxFlexAlign="end" fxLayout="row"
               fxLayoutAlign="start end" style="margin-top: 5px;">
            <span class="message mat-elevation-z1">
              <img [src]="message.imageURL" alt="" width="120">
            </span>
            <img class="avatar" [src]="user?.avatar || global.USER_DEFAULT_URL">
          </div>
        </div>
      </div>
    </perfect-scrollbar>

  </div>
  <div class="chat-respond" fxLayout="row" fxLayoutAlign="start center">
    <button ly-button appearance="fab" raised bg="accent" (click)="openDialog()"
            style="margin-right: 10px;" [disabled]="!activeChat">
      <ly-icon>insert_photo</ly-icon>
    </button>
    <mat-form-field fxFlex>
        <textarea [disabled]="!activeChat" matInput (keyup.enter)="onSendTriggered()" [(ngModel)]="newMessage"
                  placeholder="Enter the message you want to send"></textarea>
    </mat-form-field>
    <button (click)="onSendTriggered()" mat-fab color="primary" [disabled]="!activeChat">
      <mat-icon>send</mat-icon>
    </button>
  </div>
</div>


<mat-menu #chatMenu="matMenu">
  <button mat-menu-item>
    <mat-icon> account_circle</mat-icon>
    <span> Group chat information </span>
  </button>
  <button mat-menu-item>
    <mat-icon> volume_mute</mat-icon>
    <span> Group announcement </span>
  </button>
  <mat-divider></mat-divider>
  <button mat-menu-item (click)="clearMessages(activeChat)">
    <mat-icon> clear_all</mat-icon>
    <span> Clear chat history </span>
  </button>
</mat-menu>


